<!DOCTYPE html>
<html>

<head>
    <style>
        /* Container with display: grid */
        .grid-container {
            display: grid;
            grid-template-rows: repeat(2, 100px);
            grid-template-columns: repeat(3, 1fr);
            gap: 10px;
            border: 2px solid #333;
            padding: 10px;
        }

        /* Grid items */
        .grid-item {
            background-color: #FAD02E;
            padding: 10px;
            border: 1px solid #000;
        }

        .grid-item-2 {
            background-color: #40B987;
        }

        .grid-item-3 {
            background-color: #4D74C2;
            grid-row: 1 / span 2;
            grid-column: 2 / span 2;
        }

        .grid-item-4 {
            background-color: #E36F6F;
        }
    </style>
    <!-- Container with display: grid:

    .grid-container là một khung chứa sử dụng Grid Layout với display: grid.
    grid-template-rows và grid-template-columns được sử dụng để xác định cấu trúc lưới bằng cách xác định số hàng và cột.
    gap xác định khoảng cách giữa các mục con.
    Bề mặt của .grid-container được xác định bằng border và padding.
    Grid items:
    
    Các mục con được đặt bên trong .grid-container và được sử dụng để xác định nội dung và vị trí của các phần tử trên lưới.
    grid-row và grid-column được sử dụng để xác định vị trí của mỗi mục con trên lưới. Các giá trị như span 2 cho phép mục con chiếm nhiều hàng và cột hơn. -->
</head>

<body>
    <h2>Container with display: grid</h2>
    <div class="grid-container">
        <div class="grid-item">Item 1</div>
        <div class="grid-item">Item 2</div>
        <div class="grid-item">Item 3</div>
        <div class="grid-item-2">Item 4</div>
        <div class="grid-item-3">Item 5</div>
        <div class="grid-item-4">Item 6</div>
    </div>
</body>

</html>